# Errors
```
{
  "error": {
    "message": "The parameter name is mandatory and must have atleast 1 occurrence(s).",
    "errorcode": "LESS_THAN_MIN_OCCURANCE"
  }
}
```

# Get Devices with Limit

https://opmanager.itsm.love:8061/api/json/v2/device/listDevices?rows=2&apiKey=4b7dde2f9897cb9b896e2433de508940

```
{
  "total": 10,
  "page": 1,
  "rows": [
    {
      "isSNMP": false,
      "ipaddress": "127.0.0.53",
      "statusStr": "Clear",
      "prettyTime": "6 days ago",
      "displayName": "127.0.0.53",
      "isNew": false,
      "type": "Unknown",
      "vendorName": "Unknown",
      "deviceName": "127.0.0.53",
      "statusNum": "5",
      "addedTime": "16 Nov 2023 04:09:42 PM CET",
      "interfaceCount": 0,
      "category": "Server"
    },
    {
      "isSNMP": false,
      "ipaddress": "127.0.0.57",
      "statusStr": "Clear",
      "prettyTime": "2 days ago",
      "displayName": "127.0.0.57",
      "isNew": false,
      "type": "Unknown",
      "vendorName": "Unknown",
      "deviceName": "127.0.0.57",
      "statusNum": "5",
      "addedTime": "20 Nov 2023 01:42:18 PM CET",
      "interfaceCount": 0,
      "category": "Unknown"
    }
  ],
  "records": 20
}
```

## Get Devices on Enterprise Systems

ITC-3163
On Enterprise Systems, the `/api/json/v2/device/listDevices` can also return the fields `probeName` and `probeDisplayname`

The `probleName` can be used to lookup the `eeProbeId` wich is required for the `getDeviceAssociatedMonitors` API endpoint on Enterprise Systems

https://opmanager.itsm.love:8061/api/json/v2/device/listDevices?rows=2&apiKey=4b7dde2f9897cb9b896e2433de508940

```
{
    "total": 0,
    "page": 1,
    "rows": [
        {
            "isSNMP": false,
            "ipaddress": "10.132.144.225",
            "probeName": "IS_LAB",
            "statusStr": "Device Not Monitored.",
            "prettyTime": "5 days ago",
            "displayName": "10.132.144.225",
            "isNew": false,
            "type": "Unknown",
            "vendorName": "Unknown",
            "deviceName": "mndecl1sd30100.mn-man.biz.90000000001",
            "statusNum": 7,
            "addedTime": "14 Feb 2024 01:36:58 PM CET",
            "probeDisplayName": "IS_LAB",
            "interfaceCount": 0,
            "category": "Unknown"
        },
        {
            "isSNMP": false,
            "ipaddress": "10.204.0.51",
            "probeName": "NCM_INDIA",
            "statusStr": "Device Not Monitored.",
            "prettyTime": "12 days ago",
            "displayName": "10.204.0.51",
            "isNew": false,
            "type": "Palo Alto PA-3410",
            "vendorName": "Palo Alto Networks",
            "deviceName": "mninpskfw10201.mn-man.biz.30000000001",
            "statusNum": 7,
            "addedTime": "7 Feb 2024 03:52:01 PM CET",
            "probeDisplayName": "IS_INDIA",
            "interfaceCount": 0,
            "category": "Firewall"
        },
    ],
    "records": 350
}
```


# Get all Devices with Monitors:
(This is an undocumented API call)

https://opmanager.itsm.love:8061/client/api/json/v2/device/listDevices?getMonitors=true&rows=100&page=1&sortByColumn=displayName&sortByType=asc

```
{
  "total": 1,
  "page": 1,
  "rows": [
    {
      "isSNMP": false,
      "ipaddress": "127.0.0.53",
      "statusStr": "Clear",
      "prettyTime": "10 days ago",
      "displayName": "127.0.0.53",
      "isNew": false,
      "type": "Unknown",
      "vendorName": "Unknown",
      "deviceName": "127.0.0.53",
      "statusNum": "5",
      "addedTime": "16 Nov 2023 04:09:42 PM CET",
      "interfaceCount": 0,
      "category": "Server",
      "monitors": []
    },
    {
      "isSNMP": false,
      "ipaddress": "127.0.0.57",
      "statusStr": "Clear",
      "prettyTime": "7 days ago",
      "displayName": "127.0.0.57",
      "isNew": false,
      "type": "Unknown",
      "vendorName": "Unknown",
      "deviceName": "127.0.0.57",
      "statusNum": "5",
      "addedTime": "20 Nov 2023 01:42:18 PM CET",
      "interfaceCount": 0,
      "category": "Unknown",
      "monitors": []
    },
    {
      "isSNMP": false,
      "ipaddress": "172.16.165.101",
      "statusStr": "Clear",
      "prettyTime": "10 days ago",
      "displayName": "172.16.165.101",
      "isNew": false,
      "type": "Unknown",
      "vendorName": "Unknown",
      "deviceName": "172.16.165.101",
      "statusNum": "5",
      "addedTime": "17 Nov 2023 09:34:02 AM CET",
      "interfaceCount": 0,
      "category": "Unknown",
      "monitors": []
    },
    {
      "isSNMP": false,
      "ipaddress": "172.16.165.114",
      "statusStr": "Clear",
      "prettyTime": "10 days ago",
      "displayName": "172.16.165.114",
      "isNew": false,
      "type": "Unknown",
      "vendorName": "Unknown",
      "deviceName": "172.16.165.114",
      "statusNum": "5",
      "addedTime": "17 Nov 2023 09:34:02 AM CET",
      "interfaceCount": 0,
      "category": "Unknown",
      "monitors": []
    },
    {
      "isSNMP": false,
      "ipaddress": "172.16.165.121",
      "statusStr": "Clear",
      "prettyTime": "10 days ago",
      "displayName": "172.16.165.121",
      "isNew": false,
      "type": "Unknown",
      "vendorName": "Unknown",
      "deviceName": "172.16.165.121",
      "statusNum": "5",
      "addedTime": "17 Nov 2023 09:34:02 AM CET",
      "interfaceCount": 0,
      "category": "Unknown",
      "monitors": []
    },
    {
      "isSNMP": false,
      "ipaddress": "172.16.165.201",
      "statusStr": "Critical",
      "prettyTime": "10 days ago",
      "displayName": "172.16.165.201",
      "isNew": false,
      "type": "Unknown",
      "vendorName": "Unknown",
      "deviceName": "172.16.165.201",
      "statusNum": "1",
      "addedTime": "17 Nov 2023 09:34:02 AM CET",
      "interfaceCount": 0,
      "category": "Unknown",
      "monitors": []
    },
    {
      "isSNMP": false,
      "ipaddress": "172.16.165.202",
      "statusStr": "Clear",
      "prettyTime": "10 days ago",
      "displayName": "172.16.165.202",
      "isNew": false,
      "type": "Unknown",
      "vendorName": "Unknown",
      "deviceName": "172.16.165.202",
      "statusNum": "5",
      "addedTime": "17 Nov 2023 09:34:02 AM CET",
      "interfaceCount": 0,
      "category": "Unknown",
      "monitors": []
    },
    {
      "isSNMP": false,
      "ipaddress": "172.16.165.204",
      "statusStr": "Clear",
      "prettyTime": "10 days ago",
      "displayName": "172.16.165.204",
      "isNew": false,
      "type": "Unknown",
      "vendorName": "Unknown",
      "deviceName": "172.16.165.204",
      "statusNum": "5",
      "addedTime": "17 Nov 2023 09:34:02 AM CET",
      "interfaceCount": 0,
      "category": "Unknown",
      "monitors": []
    },
    {
      "isSNMP": true,
      "ipaddress": "172.16.165.205",
      "statusStr": "Clear",
      "prettyTime": "10 days ago",
      "displayName": "172.16.165.205",
      "isNew": false,
      "type": "MiKroTik RouterOS",
      "vendorName": "MiKroTik",
      "deviceName": "172.16.165.205",
      "statusNum": "5",
      "addedTime": "17 Nov 2023 09:34:02 AM CET",
      "interfaceCount": 1,
      "category": "Switch",
      "monitors": [
        {
          "protocol": "SNMP",
          "monitorType": "performanceMonitors",
          "statusStr": "Clear",
          "monitorName": "TxCCQ",
          "displayName": "172.16.165.205",
          "pollID": "54",
          "monitorDispName": "Bandwidth Usage % (Transmitted CCQ)",
          "deviceName": "172.16.165.205",
          "monSeverity": "5"
        },
        {
          "protocol": "NCM",
          "monitorType": "performanceMonitors",
          "statusStr": "Clear",
          "monitorName": "ChangesMonitor",
          "displayName": "172.16.165.205",
          "pollID": "57",
          "monitorDispName": "Config Change Count",
          "deviceName": "172.16.165.205",
          "monSeverity": "5"
        },
        {
          "protocol": "SNMP",
          "monitorType": "performanceMonitors",
          "statusStr": "Clear",
          "monitorName": "RxRate",
          "displayName": "172.16.165.205",
          "pollID": "51",
          "monitorDispName": "Current Receive rate",
          "deviceName": "172.16.165.205",
          "monSeverity": "5"
        },
        {
          "protocol": "SNMP",
          "monitorType": "performanceMonitors",
          "statusStr": "Clear",
          "monitorName": "TxRate",
          "displayName": "172.16.165.205",
          "pollID": "53",
          "monitorDispName": "Tranferred data rate",
          "deviceName": "172.16.165.205",
          "monSeverity": "5"
        },
        {
          "protocol": "SNMP",
          "monitorType": "performanceMonitors",
          "statusStr": "Clear",
          "monitorName": "RxRateWireless",
          "displayName": "172.16.165.205",
          "pollID": "55",
          "monitorDispName": "Wireless Station - RxRate",
          "deviceName": "172.16.165.205",
          "monSeverity": "5"
        },
        {
          "protocol": "SNMP",
          "monitorType": "performanceMonitors",
          "statusStr": "Clear",
          "monitorName": "TxRateWireless",
          "displayName": "172.16.165.205",
          "pollID": "52",
          "monitorDispName": "Wireless Station TxRate",
          "deviceName": "172.16.165.205",
          "monSeverity": "5"
        }
      ]
    },
    {
      "isSNMP": false,
      "ipaddress": "172.16.165.240",
      "statusStr": "Device Not Monitored.",
      "prettyTime": "10 days ago",
      "displayName": "172.16.165.240",
      "isNew": false,
      "type": "Unknown",
      "vendorName": "Unknown",
      "deviceName": "172.16.165.240",
      "statusNum": 7,
      "addedTime": "17 Nov 2023 09:29:01 AM CET",
      "interfaceCount": 0,
      "category": "Unknown",
      "monitors": []
    },
    {
      "isSNMP": false,
      "ipaddress": "172.16.166.16",
      "statusStr": "Critical",
      "prettyTime": "10 days ago",
      "displayName": "172.16.166.16",
      "isNew": false,
      "type": "Unknown",
      "vendorName": "Unknown",
      "deviceName": "172.16.166.16",
      "statusNum": "1",
      "addedTime": "16 Nov 2023 04:10:28 PM CET",
      "interfaceCount": 0,
      "category": "Server",
      "monitors": []
    },
    {
      "isSNMP": false,
      "ipaddress": "172.16.166.17",
      "statusStr": "Critical",
      "prettyTime": "10 days ago",
      "displayName": "172.16.166.17",
      "isNew": false,
      "type": "Unknown",
      "vendorName": "Unknown",
      "deviceName": "172.16.166.17",
      "statusNum": "1",
      "addedTime": "16 Nov 2023 04:10:28 PM CET",
      "interfaceCount": 0,
      "category": "Server",
      "monitors": []
    },
    {
      "isSNMP": false,
      "ipaddress": "172.16.166.46",
      "statusStr": "Critical",
      "prettyTime": "10 days ago",
      "displayName": "172.16.166.46",
      "isNew": false,
      "type": "Unknown",
      "vendorName": "Unknown",
      "deviceName": "172.16.166.46",
      "statusNum": "1",
      "addedTime": "16 Nov 2023 04:10:28 PM CET",
      "interfaceCount": 0,
      "category": "Server",
      "monitors": []
    },
    {
      "isSNMP": false,
      "ipaddress": "172.16.166.5",
      "statusStr": "Critical",
      "prettyTime": "10 days ago",
      "displayName": "172.16.166.5",
      "isNew": false,
      "type": "Unknown",
      "vendorName": "Unknown",
      "deviceName": "172.16.166.5",
      "statusNum": "1",
      "addedTime": "16 Nov 2023 04:10:28 PM CET",
      "interfaceCount": 0,
      "category": "Server",
      "monitors": []
    },
    {
      "isSNMP": true,
      "ipaddress": "127.0.1.1",
      "statusStr": "Trouble",
      "prettyTime": "10 days ago",
      "displayName": "Opmanager",
      "isNew": false,
      "type": "Linux",
      "vendorName": "net-snmp",
      "deviceName": "opmanager.itsm.love",
      "statusNum": "2",
      "addedTime": "16 Nov 2023 04:09:46 PM CET",
      "interfaceCount": 2,
      "category": "Server",
      "monitors": [
        {
          "protocol": "SNMP",
          "monitorType": "performanceMonitors",
          "statusStr": "Clear",
          "monitorName": "Lin-CPUUtilization",
          "displayName": "Opmanager",
          "pollID": "73",
          "monitorDispName": "CPU Utilization(UCD SNMP MIB)",
          "deviceName": "opmanager.itsm.love",
          "monSeverity": "5"
        },
        {
          "protocol": "SNMP",
          "monitorType": "performanceMonitors",
          "statusStr": "Clear",
          "monitorName": "netsnmp-DiskBytesReads",
          "displayName": "Opmanager",
          "pollID": "80",
          "monitorDispName": "Disk Bytes read",
          "deviceName": "opmanager.itsm.love",
          "monSeverity": "5"
        },
        {
          "protocol": "SNMP",
          "monitorType": "performanceMonitors",
          "statusStr": "Clear",
          "monitorName": "netsnmp-DiskIOReadRate",
          "displayName": "Opmanager",
          "pollID": "79",
          "monitorDispName": "Disk I/O reads",
          "deviceName": "opmanager.itsm.love",
          "monSeverity": "5"
        },
        {
          "protocol": "SNMP",
          "monitorType": "performanceMonitors",
          "statusStr": "Clear",
          "monitorName": "netsnmp-DiskIOWrites",
          "displayName": "Opmanager",
          "pollID": "81",
          "monitorDispName": "Disk I/O Writes",
          "deviceName": "opmanager.itsm.love",
          "monSeverity": "5"
        },
        {
          "protocol": "SNMP",
          "monitorType": "performanceMonitors",
          "statusStr": "Clear",
          "monitorName": "DiskUtilization",
          "displayName": "Opmanager",
          "pollID": "63",
          "monitorDispName": "Disk Utilization",
          "deviceName": "opmanager.itsm.love",
          "monSeverity": "5"
        },
        {
          "protocol": "SNMP",
          "monitorType": "performanceMonitors",
          "statusStr": "Clear",
          "monitorName": "ipRoutingDiscards",
          "displayName": "Opmanager",
          "pollID": "84",
          "monitorDispName": "IP Routing discards",
          "deviceName": "opmanager.itsm.love",
          "monSeverity": "5"
        },
        {
          "protocol": "SNMP",
          "monitorType": "performanceMonitors",
          "statusStr": "Clear",
          "monitorName": "netsnmp-LoadAverageLast1Minute",
          "displayName": "Opmanager",
          "pollID": "83",
          "monitorDispName": "Load Average (last 1 minute)",
          "deviceName": "opmanager.itsm.love",
          "monSeverity": "5"
        },
        {
          "protocol": "SNMP",
          "monitorType": "performanceMonitors",
          "statusStr": "Trouble",
          "monitorName": "Win-MemoryUtilization",
          "displayName": "Opmanager",
          "pollID": "77",
          "monitorDispName": "Memory Utilization",
          "deviceName": "opmanager.itsm.love",
          "monSeverity": "2"
        },
        {
          "protocol": "SNMP",
          "monitorType": "performanceMonitors",
          "statusStr": "Clear",
          "monitorName": "Number of Network Interfaces",
          "displayName": "Opmanager",
          "pollID": "78",
          "monitorDispName": "Network Interfaces",
          "deviceName": "opmanager.itsm.love",
          "monSeverity": "5"
        },
        {
          "protocol": "SNMP",
          "monitorType": "performanceMonitors",
          "statusStr": "Clear",
          "monitorName": "/",
          "displayName": "Opmanager",
          "pollID": "65",
          "monitorDispName": "Partition Details of the Device (%)-/",
          "deviceName": "opmanager.itsm.love",
          "monSeverity": "5"
        },
        {
          "protocol": "SNMP",
          "monitorType": "performanceMonitors",
          "statusStr": "Clear",
          "monitorName": "/run",
          "displayName": "Opmanager",
          "pollID": "66",
          "monitorDispName": "Partition Details of the Device (%)-/run",
          "deviceName": "opmanager.itsm.love",
          "monSeverity": "5"
        },
        {
          "protocol": "SNMP",
          "monitorType": "performanceMonitors",
          "statusStr": "Clear",
          "monitorName": "/dev/shm",
          "displayName": "Opmanager",
          "pollID": "67",
          "monitorDispName": "Partition Details of the Device (%)-/dev/shm",
          "deviceName": "opmanager.itsm.love",
          "monSeverity": "5"
        },
        {
          "protocol": "SNMP",
          "monitorType": "performanceMonitors",
          "statusStr": "Clear",
          "monitorName": "/run/lock",
          "displayName": "Opmanager",
          "pollID": "68",
          "monitorDispName": "Partition Details of the Device (%)-/run/lock",
          "deviceName": "opmanager.itsm.love",
          "monSeverity": "5"
        },
        {
          "protocol": "SNMP",
          "monitorType": "performanceMonitors",
          "statusStr": "Clear",
          "monitorName": "/boot/efi",
          "displayName": "Opmanager",
          "pollID": "69",
          "monitorDispName": "Partition Details of the Device (%)-/boot/efi",
          "deviceName": "opmanager.itsm.love",
          "monSeverity": "5"
        },
        {
          "protocol": "SNMP",
          "monitorType": "performanceMonitors",
          "statusStr": "Clear",
          "monitorName": "/run/snapd/ns",
          "displayName": "Opmanager",
          "pollID": "70",
          "monitorDispName": "Partition Details of the Device (%)-/run/snapd/ns",
          "deviceName": "opmanager.itsm.love",
          "monSeverity": "5"
        },
        {
          "protocol": "SNMP",
          "monitorType": "performanceMonitors",
          "statusStr": "Clear",
          "monitorName": "/run/user/1000",
          "displayName": "Opmanager",
          "pollID": "71",
          "monitorDispName": "Partition Details of the Device (%)-/run/user/1000",
          "deviceName": "opmanager.itsm.love",
          "monSeverity": "5"
        },
        {
          "protocol": "SNMP",
          "monitorType": "performanceMonitors",
          "statusStr": "Clear",
          "monitorName": "/run/user/0",
          "displayName": "Opmanager",
          "pollID": "72",
          "monitorDispName": "Partition Details of the Device (%)-/run/user/0",
          "deviceName": "opmanager.itsm.love",
          "monSeverity": "5"
        },
        {
          "protocol": "SNMP",
          "monitorType": "performanceMonitors",
          "statusStr": "Clear",
          "monitorName": "ProcessCount",
          "displayName": "Opmanager",
          "pollID": "64",
          "monitorDispName": "Process Count",
          "deviceName": "opmanager.itsm.love",
          "monSeverity": "5"
        },
        {
          "protocol": "SNMP",
          "monitorType": "performanceMonitors",
          "statusStr": "Clear",
          "monitorName": "SysUpTime",
          "displayName": "Opmanager",
          "pollID": "82",
          "monitorDispName": "SysUpTime",
          "deviceName": "opmanager.itsm.love",
          "monSeverity": "5"
        }
      ]
    },
    {
      "isSNMP": false,
      "ipaddress": "172.16.165.15",
      "statusStr": "Clear",
      "prettyTime": "10 days ago",
      "displayName": "Srv-2019-01",
      "isNew": false,
      "type": "Unknown",
      "vendorName": "Unknown",
      "deviceName": "srv-2019-01.itsm.test.local",
      "statusNum": "5",
      "addedTime": "17 Nov 2023 09:34:02 AM CET",
      "interfaceCount": 0,
      "category": "Unknown",
      "monitors": []
    },
    {
      "isSNMP": false,
      "ipaddress": "172.16.165.16",
      "statusStr": "Clear",
      "prettyTime": "10 days ago",
      "displayName": "Srv-2019-02",
      "isNew": false,
      "type": "Unknown",
      "vendorName": "Unknown",
      "deviceName": "srv-2019-02.itsm.test.local",
      "statusNum": "5",
      "addedTime": "17 Nov 2023 09:34:02 AM CET",
      "interfaceCount": 0,
      "category": "Unknown",
      "monitors": []
    },
    {
      "isSNMP": false,
      "ipaddress": "172.16.165.2",
      "statusStr": "Clear",
      "prettyTime": "10 days ago",
      "displayName": "Srv-dc-02",
      "isNew": false,
      "type": "Unknown",
      "vendorName": "Unknown",
      "deviceName": "srv-dc-02.itsm.test.local",
      "statusNum": "5",
      "addedTime": "17 Nov 2023 09:35:15 AM CET",
      "interfaceCount": 0,
      "category": "Unknown",
      "monitors": []
    },
    {
      "isSNMP": false,
      "ipaddress": "172.16.165.3",
      "statusStr": "Clear",
      "prettyTime": "10 days ago",
      "displayName": "Srv-dc-03",
      "isNew": false,
      "type": "Unknown",
      "vendorName": "Unknown",
      "deviceName": "srv-dc-03.itsm.test.local",
      "statusNum": "5",
      "addedTime": "17 Nov 2023 09:35:17 AM CET",
      "interfaceCount": 0,
      "category": "Unknown",
      "monitors": []
    },
    {
      "isSNMP": false,
      "ipaddress": "172.16.166.15",
      "statusStr": "Critical",
      "prettyTime": "10 days ago",
      "displayName": "srvitsmvm01.static.itsm.love",
      "isNew": false,
      "type": "Unknown",
      "vendorName": "Unknown",
      "deviceName": "172.16.166.15",
      "statusNum": "1",
      "addedTime": "16 Nov 2023 04:10:28 PM CET",
      "interfaceCount": 0,
      "category": "Server",
      "monitors": []
    }
  ],
  "records": 20
}
```

# Get all Interfaces

It is also Possible to add `&classification=Network`

Units:
`NA`
`206.489  (0.0%)`
`480.147 K (4.8%)`
`2.761 M (2.1%)`
`1.923 G (9.62%)`

- `<empty>` => `bps`
- `K` => `Kbps`
- `M` => `Mbps`
- `G` => `Gbps`

https://opmanager.itsm.love:8061/api/json/device/listInterfaces?isFluidic=true&rows=100&page=1&sortByColumn=displayName&sortByType=asc&apiKey=4b7dde2f9897cb9b896e2433de508940

```
{
  "total": "1",
  "records": "3",
  "page": "1",
  "rows": [
    {
      "interfaceDisplayName": "lo-lo",
      "statusStr": "Clear",
      "displayName": "Opmanager",
      "ipAddress": "",
      "outSpeed": "10 Mbps",
      "inSpeed": "10 Mbps",
      "type": "Software Loopback",
      "deviceName": "opmanager.itsm.love",
      "interfaceStatus": 5, // Clear Trouble, Critical etc...   I dont know why but interfaceStatus is always the same value as statusNum (I have checked 1k interfaces)
      "outTraffic": "480.147 K (4.8%)", // Tx Traffic
      "statusNum": 5,
      "inTraffic": "480.147 K (4.8%)", // Rx Traffic
      "adminStatus": "Up",
      "operStatus": "Up",
      "id": "1",
      "interfaceName": "IF-opmanager.itsm.love-319"
    },
    {
      "interfaceDisplayName": "ether1-ether1",
      "statusStr": "Unknown",
      "displayName": "172.16.165.205",
      "ipAddress": "172.16.165.205",
      "outSpeed": "0 bps",
      "inSpeed": "0 bps",
      "type": "Ethernet",
      "deviceName": "172.16.165.205",
      "interfaceStatus": 7,
      "outTraffic": "3.363 K (0.0%)",
      "statusNum": 7,
      "inTraffic": "2.498 K (0.0%)",
      "adminStatus": "Up",
      "operStatus": "Up",
      "id": "2",
      "interfaceName": "IF-172.16.165.205-316"
    },
    {
      "interfaceDisplayName": "eth0-eth0",
      "statusStr": "Clear",
      "displayName": "Opmanager",
      "ipAddress": "172.16.165.204",
      "outSpeed": "0 bps",
      "inSpeed": "0 bps",
      "type": "Ethernet",
      "deviceName": "opmanager.itsm.love",
      "interfaceStatus": 5,
      "outTraffic": "619.014 K (0.0%)",
      "statusNum": 5,
      "inTraffic": "122.127 K (0.0%)",
      "adminStatus": "Up",
      "operStatus": "Up",
      "id": "3",
      "interfaceName": "IF-opmanager.itsm.love-320"
    }
  ]
}
```

# Monitores mit letztem Wert eines Geräts

- `interval` is in Minutes

https://opmanager.itsm.love:8061/api/json/device/getDeviceAssociatedMonitors?apiKey=4b7dde2f9897cb9b896e2433de508940&name=opmanager.itsm.love
```
{
  "performanceMonitors": {
    "total": 19,
    "statusIcon": "images/servicestatus1.gif",
    "down": 1,
    "monitors": [
      {
        "YAXISTEXT": "Percentage",
        "checkNumeric": "true",
        "data": [
          {
            "instance": "-1",
            "value": 94
          }
        ],
        "Instance": "",
        "THRESHOLDENABLED": "true",
        "GRAPHID": "36",
        "type": "multiple",
        "thresholdImg": "images/thresholdConOK.gif",
        "pollId": "77",
        "Protocol": "SNMP",
        "DISPLAYNAME": "Memory Utilization",
        "graphType": "multiple",
        "policyName": "Win-MemoryUtilization",
        "active": "true",
        "thresholdStatus": "Normal",
        "isMultiple": "true",
        "sSave": "true",
        "pollingStatus": "0",
        "lastCollectedTime": "23 Nov 2023 10:14:59 AM CET",
        "groupName": "default",
        "DisplayColumn": "",
        "name": "Win-MemoryUtilization",
        "numericType": "1",
        "interval": "15",
        "Id": "77"
      },
      {
        "YAXISTEXT": "Percentage",
        "checkNumeric": "true",
        "data": [
          {
            "instance": "-1",
            "value": 0
          }
        ],
        "Instance": "",
        "THRESHOLDENABLED": "false",
        "GRAPHID": "280",
        "type": "node",
        "thresholdImg": "images/thresholdNonConfigured.gif",
        "pollId": "71",
        "Protocol": "SNMP",
        "DISPLAYNAME": "Partition Details of the Device (%)-/run/user/1000",
        "graphType": "multiplenode",
        "policyName": "PartitionWiseDiskDetails",
        "active": "true",
        "thresholdStatus": "Not Enabled",
        "isMultiple": "false",
        "sSave": "true",
        "pollingStatus": "0",
        "lastCollectedTime": "23 Nov 2023 10:14:59 AM CET",
        "groupName": "default",
        "DisplayColumn": ".1.3.6.1.2.1.25.2.3.1.3",
        "name": "/run/user/1000",
        "numericType": "1",
        "interval": "15",
        "Id": "71"
      },
      {
        "YAXISTEXT": "IO Reads",
        "checkNumeric": "true",
        "data": [
          {
            "avgValue": 13
          },
          {
            "instance": ".1",
            "value": 0
          },
          {
            "instance": ".2",
            "value": 0
          },
          {
            "instance": ".3",
            "value": 0
          },
          {
            "instance": ".4",
            "value": 0
          },
          {
            "instance": ".5",
            "value": 0
          },
          {
            "instance": ".6",
            "value": 0
          },
          {
            "instance": ".7",
            "value": 0
          },
          {
            "instance": ".8",
            "value": 0
          },
          {
            "instance": ".9",
            "value": 0
          },
          {
            "instance": ".10",
            "value": 87
          },
          {
            "instance": ".11",
            "value": 87
          },
          {
            "instance": ".12",
            "value": 0
          },
          {
            "instance": ".13",
            "value": 0
          }
        ],
        "Instance": "",
        "THRESHOLDENABLED": "true",
        "GRAPHID": "4736",
        "type": "multiple",
        "thresholdImg": "images/thresholdConAttention.gif",
        "pollId": "79",
        "Protocol": "SNMP",
        "DISPLAYNAME": "Disk I/O reads",
        "graphType": "multiple",
        "policyName": "netsnmp-DiskIOReadRate",
        "active": "true",
        "thresholdStatus": "Violated",
        "isMultiple": "true",
        "sSave": "true",
        "pollingStatus": "0",
        "lastCollectedTime": "23 Nov 2023 10:19:54 AM CET",
        "groupName": "default",
        "DisplayColumn": "",
        "name": "netsnmp-DiskIOReadRate",
        "numericType": "1",
        "interval": "15",
        "Id": "79"
      },
      {
        "YAXISTEXT": "Percentage",
        "checkNumeric": "true",
        "data": [
          {
            "instance": "-1",
            "value": 19
          }
        ],
        "Instance": "",
        "THRESHOLDENABLED": "false",
        "GRAPHID": "280",
        "type": "node",
        "thresholdImg": "images/thresholdNonConfigured.gif",
        "pollId": "65",
        "Protocol": "SNMP",
        "DISPLAYNAME": "Partition Details of the Device (%)-/",
        "graphType": "multiplenode",
        "policyName": "PartitionWiseDiskDetails",
        "active": "true",
        "thresholdStatus": "Not Enabled",
        "isMultiple": "false",
        "sSave": "true",
        "pollingStatus": "0",
        "lastCollectedTime": "23 Nov 2023 10:14:59 AM CET",
        "groupName": "default",
        "DisplayColumn": ".1.3.6.1.2.1.25.2.3.1.3",
        "name": "/",
        "numericType": "1",
        "interval": "15",
        "Id": "65"
      },
      {
        "YAXISTEXT": "Bytes",
        "checkNumeric": "true",
        "data": [
          {
            "avgValue": 94523
          },
          {
            "instance": ".1",
            "value": 0
          },
          {
            "instance": ".2",
            "value": 0
          },
          {
            "instance": ".3",
            "value": 0
          },
          {
            "instance": ".4",
            "value": 0
          },
          {
            "instance": ".5",
            "value": 0
          },
          {
            "instance": ".6",
            "value": 0
          },
          {
            "instance": ".7",
            "value": 0
          },
          {
            "instance": ".8",
            "value": 0
          },
          {
            "instance": ".9",
            "value": 0
          },
          {
            "instance": ".10",
            "value": 614400
          },
          {
            "instance": ".11",
            "value": 614400
          },
          {
            "instance": ".12",
            "value": 0
          },
          {
            "instance": ".13",
            "value": 0
          }
        ],
        "Instance": "",
        "THRESHOLDENABLED": "false",
        "GRAPHID": "4733",
        "type": "multiple",
        "thresholdImg": "images/thresholdNonConfigured.gif",
        "pollId": "80",
        "Protocol": "SNMP",
        "DISPLAYNAME": "Disk Bytes read",
        "graphType": "multiple",
        "policyName": "netsnmp-DiskBytesReads",
        "active": "true",
        "thresholdStatus": "Not Enabled",
        "isMultiple": "true",
        "sSave": "true",
        "pollingStatus": "0",
        "lastCollectedTime": "23 Nov 2023 10:19:54 AM CET",
        "groupName": "default",
        "DisplayColumn": "",
        "name": "netsnmp-DiskBytesReads",
        "numericType": "1",
        "interval": "15",
        "Id": "80"
      },
      {
        "YAXISTEXT": "Percentage",
        "checkNumeric": "true",
        "data": [
          {
            "instance": "-1",
            "value": 2
          }
        ],
        "Instance": "",
        "THRESHOLDENABLED": "true",
        "GRAPHID": "330",
        "type": "node",
        "thresholdImg": "images/thresholdConOK.gif",
        "pollId": "73",
        "Protocol": "SNMP",
        "DISPLAYNAME": "CPU Utilization(UCD SNMP MIB)",
        "graphType": "node",
        "policyName": "Lin-CPUUtilization",
        "active": "true",
        "thresholdStatus": "Normal",
        "isMultiple": "false",
        "sSave": "true",
        "pollingStatus": "0",
        "lastCollectedTime": "23 Nov 2023 10:14:59 AM CET",
        "groupName": "default",
        "DisplayColumn": "",
        "name": "Lin-CPUUtilization",
        "numericType": "1",
        "interval": "15",
        "Id": "73"
      },
      {
        "YAXISTEXT": "IO Writes",
        "checkNumeric": "true",
        "data": [
          {
            "avgValue": 504
          },
          {
            "instance": ".1",
            "value": 0
          },
          {
            "instance": ".2",
            "value": 0
          },
          {
            "instance": ".3",
            "value": 0
          },
          {
            "instance": ".4",
            "value": 0
          },
          {
            "instance": ".5",
            "value": 0
          },
          {
            "instance": ".6",
            "value": 0
          },
          {
            "instance": ".7",
            "value": 0
          },
          {
            "instance": ".8",
            "value": 0
          },
          {
            "instance": ".9",
            "value": 0
          },
          {
            "instance": ".10",
            "value": 3279
          },
          {
            "instance": ".11",
            "value": 3279
          },
          {
            "instance": ".12",
            "value": 0
          },
          {
            "instance": ".13",
            "value": 0
          }
        ],
        "Instance": "",
        "THRESHOLDENABLED": "false",
        "GRAPHID": "4739",
        "type": "multiple",
        "thresholdImg": "images/thresholdNonConfigured.gif",
        "pollId": "81",
        "Protocol": "SNMP",
        "DISPLAYNAME": "Disk I/O Writes",
        "graphType": "multiple",
        "policyName": "netsnmp-DiskIOWrites",
        "active": "true",
        "thresholdStatus": "Not Enabled",
        "isMultiple": "true",
        "sSave": "true",
        "pollingStatus": "0",
        "lastCollectedTime": "23 Nov 2023 10:19:54 AM CET",
        "groupName": "default",
        "DisplayColumn": "",
        "name": "netsnmp-DiskIOWrites",
        "numericType": "1",
        "interval": "15",
        "Id": "81"
      },
      {
        "YAXISTEXT": "Nos",
        "checkNumeric": "true",
        "data": [
          {
            "instance": "-1",
            "value": 0
          }
        ],
        "Instance": "",
        "THRESHOLDENABLED": "false",
        "GRAPHID": "1168",
        "type": "node",
        "thresholdImg": "images/thresholdNonConfigured.gif",
        "pollId": "84",
        "Protocol": "SNMP",
        "DISPLAYNAME": "IP Routing discards",
        "graphType": "node",
        "policyName": "ipRoutingDiscards",
        "active": "true",
        "thresholdStatus": "Not Enabled",
        "isMultiple": "false",
        "sSave": "true",
        "pollingStatus": "0",
        "lastCollectedTime": "23 Nov 2023 10:04:52 AM CET",
        "groupName": "default",
        "DisplayColumn": "",
        "name": "ipRoutingDiscards",
        "numericType": "1",
        "interval": "60",
        "Id": "84"
      },
      {
        "YAXISTEXT": "No Of Processes",
        "checkNumeric": "true",
        "data": [
          {
            "instance": "-1",
            "value": 163
          }
        ],
        "Instance": "",
        "THRESHOLDENABLED": "false",
        "GRAPHID": "375",
        "type": "node",
        "thresholdImg": "images/thresholdNonConfigured.gif",
        "pollId": "64",
        "Protocol": "SNMP",
        "DISPLAYNAME": "Process Count",
        "graphType": "node",
        "policyName": "ProcessCount",
        "active": "true",
        "thresholdStatus": "Not Enabled",
        "isMultiple": "false",
        "sSave": "true",
        "pollingStatus": "0",
        "lastCollectedTime": "23 Nov 2023 10:14:59 AM CET",
        "groupName": "default",
        "DisplayColumn": "",
        "name": "ProcessCount",
        "numericType": "1",
        "interval": "15",
        "Id": "64"
      },
      {
        "YAXISTEXT": "load",
        "checkNumeric": "true",
        "data": [
          {
            "instance": "-1",
            "value": 1
          }
        ],
        "Instance": "",
        "THRESHOLDENABLED": "false",
        "GRAPHID": "4730",
        "type": "node",
        "thresholdImg": "images/thresholdNonConfigured.gif",
        "pollId": "83",
        "Protocol": "SNMP",
        "DISPLAYNAME": "Load Average (last 1 minute)",
        "graphType": "node",
        "policyName": "netsnmp-LoadAverageLast1Minute",
        "active": "true",
        "thresholdStatus": "Not Enabled",
        "isMultiple": "false",
        "sSave": "true",
        "pollingStatus": "0",
        "lastCollectedTime": "23 Nov 2023 10:19:54 AM CET",
        "groupName": "default",
        "DisplayColumn": "",
        "name": "netsnmp-LoadAverageLast1Minute",
        "numericType": "1",
        "interval": "15",
        "Id": "83"
      },
      {
        "YAXISTEXT": "Percentage",
        "checkNumeric": "true",
        "data": [
          {
            "instance": "-1",
            "value": 0
          }
        ],
        "Instance": "",
        "THRESHOLDENABLED": "false",
        "GRAPHID": "280",
        "type": "node",
        "thresholdImg": "images/thresholdNonConfigured.gif",
        "pollId": "66",
        "Protocol": "SNMP",
        "DISPLAYNAME": "Partition Details of the Device (%)-/run",
        "graphType": "multiplenode",
        "policyName": "PartitionWiseDiskDetails",
        "active": "true",
        "thresholdStatus": "Not Enabled",
        "isMultiple": "false",
        "sSave": "true",
        "pollingStatus": "0",
        "lastCollectedTime": "23 Nov 2023 10:14:59 AM CET",
        "groupName": "default",
        "DisplayColumn": ".1.3.6.1.2.1.25.2.3.1.3",
        "name": "/run",
        "numericType": "1",
        "interval": "15",
        "Id": "66"
      },
      {
        "YAXISTEXT": "Percentage",
        "checkNumeric": "true",
        "data": [
          {
            "instance": "-1",
            "value": 0
          }
        ],
        "Instance": "",
        "THRESHOLDENABLED": "false",
        "GRAPHID": "280",
        "type": "node",
        "thresholdImg": "images/thresholdNonConfigured.gif",
        "pollId": "68",
        "Protocol": "SNMP",
        "DISPLAYNAME": "Partition Details of the Device (%)-/run/lock",
        "graphType": "multiplenode",
        "policyName": "PartitionWiseDiskDetails",
        "active": "true",
        "thresholdStatus": "Not Enabled",
        "isMultiple": "false",
        "sSave": "true",
        "pollingStatus": "0",
        "lastCollectedTime": "23 Nov 2023 10:14:59 AM CET",
        "groupName": "default",
        "DisplayColumn": ".1.3.6.1.2.1.25.2.3.1.3",
        "name": "/run/lock",
        "numericType": "1",
        "interval": "15",
        "Id": "68"
      },
      {
        "YAXISTEXT": "Percentage",
        "checkNumeric": "true",
        "data": [
          {
            "instance": "-1",
            "value": 5
          }
        ],
        "Instance": "",
        "THRESHOLDENABLED": "false",
        "GRAPHID": "280",
        "type": "node",
        "thresholdImg": "images/thresholdNonConfigured.gif",
        "pollId": "69",
        "Protocol": "SNMP",
        "DISPLAYNAME": "Partition Details of the Device (%)-/boot/efi",
        "graphType": "multiplenode",
        "policyName": "PartitionWiseDiskDetails",
        "active": "true",
        "thresholdStatus": "Not Enabled",
        "isMultiple": "false",
        "sSave": "true",
        "pollingStatus": "0",
        "lastCollectedTime": "23 Nov 2023 10:14:59 AM CET",
        "groupName": "default",
        "DisplayColumn": ".1.3.6.1.2.1.25.2.3.1.3",
        "name": "/boot/efi",
        "numericType": "1",
        "interval": "15",
        "Id": "69"
      },
      {
        "YAXISTEXT": "Percentage",
        "checkNumeric": "true",
        "data": [
          {
            "instance": "-1",
            "value": 16
          }
        ],
        "Instance": "",
        "THRESHOLDENABLED": "false",
        "GRAPHID": "37",
        "type": "multiple",
        "thresholdImg": "images/thresholdNonConfigured.gif",
        "pollId": "63",
        "Protocol": "SNMP",
        "DISPLAYNAME": "Disk Utilization",
        "graphType": "multiple",
        "policyName": "DiskUtilization",
        "active": "true",
        "thresholdStatus": "Not Enabled",
        "isMultiple": "true",
        "sSave": "true",
        "pollingStatus": "0",
        "lastCollectedTime": "23 Nov 2023 09:29:57 AM CET",
        "groupName": "default",
        "DisplayColumn": "",
        "name": "DiskUtilization",
        "numericType": "1",
        "interval": "60",
        "Id": "63"
      },
      {
        "DISPLAYNAME": "Partition Details of the Device (%)-/run/user/0",
        "graphType": "multiplenode",
        "checkNumeric": "true",
        "policyName": "PartitionWiseDiskDetails",
        "Instance": "",
        "THRESHOLDENABLED": "false",
        "GRAPHID": "280",
        "active": "true",
        "thresholdStatus": "Not Enabled",
        "isMultiple": "false",
        "sSave": "true",
        "type": "node",
        "thresholdImg": "images/thresholdNonConfigured.gif",
        "pollingStatus": "2",
        "groupName": "default",
        "DisplayColumn": ".1.3.6.1.2.1.25.2.3.1.3",
        "pollId": "72",
        "name": "/run/user/0",
        "numericType": "1",
        "interval": "15",
        "Id": "72",
        "Protocol": "SNMP"
      },
      {
        "YAXISTEXT": "Percentage",
        "checkNumeric": "true",
        "data": [
          {
            "instance": "-1",
            "value": 0
          }
        ],
        "Instance": "",
        "THRESHOLDENABLED": "false",
        "GRAPHID": "280",
        "type": "node",
        "thresholdImg": "images/thresholdNonConfigured.gif",
        "pollId": "70",
        "Protocol": "SNMP",
        "DISPLAYNAME": "Partition Details of the Device (%)-/run/snapd/ns",
        "graphType": "multiplenode",
        "policyName": "PartitionWiseDiskDetails",
        "active": "true",
        "thresholdStatus": "Not Enabled",
        "isMultiple": "false",
        "sSave": "true",
        "pollingStatus": "0",
        "lastCollectedTime": "23 Nov 2023 10:14:59 AM CET",
        "groupName": "default",
        "DisplayColumn": ".1.3.6.1.2.1.25.2.3.1.3",
        "name": "/run/snapd/ns",
        "numericType": "1",
        "interval": "15",
        "Id": "70"
      },
      {
        "YAXISTEXT": "Hours",
        "checkNumeric": "true",
        "data": [
          {
            "instance": "-1",
            "value": 23
          }
        ],
        "Instance": "",
        "THRESHOLDENABLED": "false",
        "GRAPHID": "1166",
        "type": "node",
        "thresholdImg": "images/thresholdNonConfigured.gif",
        "pollId": "82",
        "Protocol": "SNMP",
        "DISPLAYNAME": "SysUpTime",
        "graphType": "node",
        "policyName": "SysUpTime",
        "active": "true",
        "thresholdStatus": "Not Enabled",
        "isMultiple": "false",
        "sSave": "true",
        "pollingStatus": "0",
        "lastCollectedTime": "23 Nov 2023 10:19:54 AM CET",
        "groupName": "default",
        "DisplayColumn": "",
        "name": "SysUpTime",
        "numericType": "1",
        "interval": "15",
        "Id": "82"
      },
      {
        "YAXISTEXT": "Nos",
        "checkNumeric": "true",
        "data": [
          {
            "instance": "-1",
            "value": 2
          }
        ],
        "Instance": "",
        "THRESHOLDENABLED": "false",
        "GRAPHID": "1167",
        "type": "node",
        "thresholdImg": "images/thresholdNonConfigured.gif",
        "pollId": "78",
        "Protocol": "SNMP",
        "DISPLAYNAME": "Network Interfaces",
        "graphType": "node",
        "policyName": "Number of Network Interfaces",
        "active": "true",
        "thresholdStatus": "Not Enabled",
        "isMultiple": "false",
        "sSave": "true",
        "pollingStatus": "0",
        "lastCollectedTime": "23 Nov 2023 10:04:52 AM CET",
        "groupName": "default",
        "DisplayColumn": "",
        "name": "Number of Network Interfaces",
        "numericType": "1",
        "interval": "60",
        "Id": "78"
      },
      {
        "YAXISTEXT": "Percentage",
        "checkNumeric": "true",
        "data": [
          {
            "instance": "-1",
            "value": 0
          }
        ],
        "Instance": "",
        "THRESHOLDENABLED": "false",
        "GRAPHID": "280",
        "type": "node",
        "thresholdImg": "images/thresholdNonConfigured.gif",
        "pollId": "67",
        "Protocol": "SNMP",
        "DISPLAYNAME": "Partition Details of the Device (%)-/dev/shm",
        "graphType": "multiplenode",
        "policyName": "PartitionWiseDiskDetails",
        "active": "true",
        "thresholdStatus": "Not Enabled",
        "isMultiple": "false",
        "sSave": "true",
        "pollingStatus": "0",
        "lastCollectedTime": "23 Nov 2023 10:14:59 AM CET",
        "groupName": "default",
        "DisplayColumn": ".1.3.6.1.2.1.25.2.3.1.3",
        "name": "/dev/shm",
        "numericType": "1",
        "interval": "15",
        "Id": "67"
      }
    ]
  },
  "deviceProtocol": "SNMP",
  "serverMonitors": {
    "total": 0,
    "down": 0,
    "monitors": []
  },
  "urlMonitors": {
    "total": 0,
    "statusIcon": "images/servicestatus5.gif",
    "down": 0,
    "monitors": []
  },
  "processMonitors": {
    "total": 0,
    "statusIcon": "images/servicestatus5.gif",
    "down": 0,
    "monitors": []
  },
  "showPollingStatusColumn": true,
  "isDCMEnabled": true,
  "scriptMonitors": {
    "total": 0,
    "statusIcon": "images/servicestatus5.gif",
    "down": 0,
    "monitors": []
  }
}
```

# Metriken können String sein

Das folgende JSON zeigt, das die Metriken von OpManager, welche unter anderem auch von `getDeviceAssociatedMonitors` kommen strings sein können :(

  Dazu einfach nach `"FAN 5: 9500 RPM"` suchen.

https://is-opmanager.mn-man.biz/client/api/json/device/getDeviceAssociatedMonitors?name=mbddibxhpa7972-mgmt.mn-man.biz.80000000001&eeProbeID=80000000001&_=1731419847163

```
{
    "performanceMonitors": {
        "total": 14,
        "statusIcon": "images/servicestatus5.gif",
        "down": 0,
        "monitors": [
            {
                "YAXISTEXT": "status",
                "checkNumeric": "true",
                "data": [
                    {
                        "avgValue": 3
                    },
                    {
                        "instance": ".1",
                        "value": 4
                    },
                    {
                        "instance": ".2",
                        "value": 1
                    },
                    {
                        "instance": ".3",
                        "value": 4
                    },
                    {
                        "instance": ".4",
                        "value": 4
                    },
                    {
                        "instance": ".5",
                        "value": 4
                    },
                    {
                        "instance": ".6",
                        "value": 4
                    },
                    {
                        "instance": ".7",
                        "value": 1
                    }
                ],
                "Instance": "",
                "suppressionInterval": "",
                "THRESHOLDENABLED": "false",
                "GRAPHID": "3227",
                "type": "multiple",
                "thresholdImg": "images/thresholdNonConfigured.gif",
                "pollId": "80000000058",
                "isMonitorSuppressed": "false",
                "Protocol": "SNMP",
                "DISPLAYNAME": "Service Status",
                "graphType": "multiple",
                "policyName": "ibServiceStatus",
                "active": "true",
                "thresholdStatus": "Not Enabled",
                "isMultiple": "true",
                "sSave": "true",
                "pollingStatus": "0",
                "lastCollectedTime": "12 Nov 2024 02:53:29 PM CET",
                "groupName": "default",
                "DisplayColumn": "",
                "name": "ibServiceStatus",
                "numericType": "1",
                "interval": "5",
                "Id": "80000000058"
            },
            {
                "YAXISTEXT": "Percentage",
                "checkNumeric": "true",
                "data": [
                    {
                        "instance": "-1",
                        "value": 54
                    }
                ],
                "Instance": "",
                "suppressionInterval": "",
                "THRESHOLDENABLED": "true",
                "GRAPHID": "4653",
                "type": "node",
                "thresholdImg": "images/thresholdConOK.gif",
                "pollId": "80000000065",
                "isMonitorSuppressed": "false",
                "Protocol": "SNMP",
                "DISPLAYNAME": "Memory Utilization",
                "graphType": "node",
                "policyName": "IBMemoryUtilization",
                "active": "true",
                "thresholdStatus": "Normal",
                "isMultiple": "false",
                "sSave": "true",
                "pollingStatus": "0",
                "lastCollectedTime": "12 Nov 2024 02:53:29 PM CET",
                "groupName": "default",
                "DisplayColumn": "",
                "name": "IBMemoryUtilization",
                "numericType": "1",
                "interval": "5",
                "Id": "80000000065"
            },
            {
                "YAXISTEXT": "",
                "checkNumeric": "false",
                "data": [
                    {
                        "instance": "-1",
                        "value": "Power1 (AC) OK"
                    }
                ],
                "Instance": "",
                "suppressionInterval": "",
                "THRESHOLDENABLED": "false",
                "GRAPHID": "80000000006",
                "type": "node",
                "thresholdImg": "images/thresholdNonConfigured.gif",
                "pollId": "80000000790",
                "isMonitorSuppressed": "false",
                "Protocol": "SNMP",
                "DISPLAYNAME": "FAN 6",
                "graphType": "node",
                "policyName": "FAN 6",
                "active": "true",
                "thresholdStatus": "Not Enabled",
                "isMultiple": "false",
                "sSave": "true",
                "pollingStatus": "0",
                "lastCollectedTime": "12 Nov 2024 02:44:30 PM CET",
                "groupName": "default",
                "DisplayColumn": "",
                "name": "FAN 6",
                "numericType": "2",
                "interval": "15",
                "Id": "80000000790"
            },
            {
                "YAXISTEXT": "",
                "checkNumeric": "false",
                "data": [
                    {
                        "instance": "-1",
                        "value": "Fan does not exist"
                    }
                ],
                "Instance": "",
                "suppressionInterval": "",
                "THRESHOLDENABLED": "false",
                "GRAPHID": "80000000005",
                "type": "node",
                "thresholdImg": "images/thresholdNonConfigured.gif",
                "pollId": "80000000787",
                "isMonitorSuppressed": "false",
                "Protocol": "SNMP",
                "DISPLAYNAME": "FAN 5",
                "graphType": "node",
                "policyName": "FAN 5",
                "active": "true",
                "thresholdStatus": "Not Enabled",
                "isMultiple": "false",
                "sSave": "true",
                "pollingStatus": "0",
                "lastCollectedTime": "12 Nov 2024 02:44:30 PM CET",
                "groupName": "default",
                "DisplayColumn": "",
                "name": "FAN 5",
                "numericType": "2",
                "interval": "15",
                "Id": "80000000787"
            },
            {
                "YAXISTEXT": "",
                "checkNumeric": "false",
                "data": [
                    {
                        "instance": "-1",
                        "value": "Fan does not exist"
                    }
                ],
                "Instance": "",
                "suppressionInterval": "",
                "THRESHOLDENABLED": "false",
                "GRAPHID": "80000000004",
                "type": "node",
                "thresholdImg": "images/thresholdNonConfigured.gif",
                "pollId": "80000000791",
                "isMonitorSuppressed": "false",
                "Protocol": "SNMP",
                "DISPLAYNAME": "FAN 4",
                "graphType": "node",
                "policyName": "FAN 4",
                "active": "true",
                "thresholdStatus": "Not Enabled",
                "isMultiple": "false",
                "sSave": "true",
                "pollingStatus": "0",
                "lastCollectedTime": "12 Nov 2024 02:44:30 PM CET",
                "groupName": "default",
                "DisplayColumn": "",
                "name": "FAN 4",
                "numericType": "2",
                "interval": "15",
                "Id": "80000000791"
            },
            {
                "YAXISTEXT": "",
                "checkNumeric": "false",
                "data": [
                    {
                        "instance": "-1",
                        "value": "FAN 6: 9300 RPM"
                    }
                ],
                "Instance": "",
                "suppressionInterval": "",
                "THRESHOLDENABLED": "false",
                "GRAPHID": "80000000003",
                "type": "node",
                "thresholdImg": "images/thresholdNonConfigured.gif",
                "pollId": "80000000793",
                "isMonitorSuppressed": "false",
                "Protocol": "SNMP",
                "DISPLAYNAME": "FAN 3",
                "graphType": "node",
                "policyName": "FAN 3",
                "active": "true",
                "thresholdStatus": "Not Enabled",
                "isMultiple": "false",
                "sSave": "true",
                "pollingStatus": "0",
                "lastCollectedTime": "12 Nov 2024 02:44:30 PM CET",
                "groupName": "default",
                "DisplayColumn": "",
                "name": "FAN 3",
                "numericType": "2",
                "interval": "15",
                "Id": "80000000793"
            },
            {
                "YAXISTEXT": "Hours",
                "checkNumeric": "true",
                "data": [
                    {
                        "instance": "-1",
                        "value": 20
                    }
                ],
                "Instance": "",
                "suppressionInterval": "",
                "THRESHOLDENABLED": "false",
                "GRAPHID": "1166",
                "type": "node",
                "thresholdImg": "images/thresholdNonConfigured.gif",
                "pollId": "80000000062",
                "isMonitorSuppressed": "false",
                "Protocol": "SNMP",
                "DISPLAYNAME": "SysUpTime",
                "graphType": "node",
                "policyName": "SysUpTime",
                "active": "true",
                "thresholdStatus": "Not Enabled",
                "isMultiple": "false",
                "sSave": "true",
                "pollingStatus": "0",
                "lastCollectedTime": "12 Nov 2024 02:53:29 PM CET",
                "groupName": "default",
                "DisplayColumn": "",
                "name": "SysUpTime",
                "numericType": "1",
                "interval": "5",
                "Id": "80000000062"
            },
            {
                "YAXISTEXT": "",
                "checkNumeric": "false",
                "data": [
                    {
                        "instance": "-1",
                        "value": "FAN 5: 9500 RPM"
                    }
                ],
                "Instance": "",
                "suppressionInterval": "",
                "THRESHOLDENABLED": "false",
                "GRAPHID": "80000000012",
                "type": "node",
                "thresholdImg": "images/thresholdNonConfigured.gif",
                "pollId": "80000000794",
                "isMonitorSuppressed": "false",
                "Protocol": "SNMP",
                "DISPLAYNAME": "FAN 2",
                "graphType": "node",
                "policyName": "FAN 2",
                "active": "true",
                "thresholdStatus": "Not Enabled",
                "isMultiple": "false",
                "sSave": "true",
                "pollingStatus": "0",
                "lastCollectedTime": "12 Nov 2024 02:44:30 PM CET",
                "groupName": "default",
                "DisplayColumn": "",
                "name": "FAN 2",
                "numericType": "2",
                "interval": "15",
                "Id": "80000000794"
            },
            {
                "YAXISTEXT": "",
                "checkNumeric": "false",
                "data": [
                    {
                        "instance": "-1",
                        "value": ""
                    }
                ],
                "Instance": "",
                "suppressionInterval": "",
                "THRESHOLDENABLED": "false",
                "GRAPHID": "80000000014",
                "type": "node",
                "thresholdImg": "images/thresholdNonConfigured.gif",
                "pollId": "80000000797",
                "isMonitorSuppressed": "false",
                "Protocol": "SNMP",
                "DISPLAYNAME": "Database capacity usage",
                "graphType": "node",
                "policyName": "Database capacity usage",
                "active": "true",
                "thresholdStatus": "Not Enabled",
                "isMultiple": "false",
                "sSave": "true",
                "pollingStatus": "0",
                "lastCollectedTime": "12 Nov 2024 02:44:30 PM CET",
                "groupName": "default",
                "DisplayColumn": "",
                "name": "Database capacity usage",
                "numericType": "2",
                "interval": "15",
                "Id": "80000000797"
            },
            {
                "YAXISTEXT": "",
                "checkNumeric": "false",
                "data": [
                    {
                        "instance": "-1",
                        "value": "FAN 4: 9600 RPM"
                    }
                ],
                "Instance": "",
                "suppressionInterval": "",
                "THRESHOLDENABLED": "false",
                "GRAPHID": "80000000008",
                "type": "node",
                "thresholdImg": "images/thresholdNonConfigured.gif",
                "pollId": "80000000786",
                "isMonitorSuppressed": "false",
                "Protocol": "SNMP",
                "DISPLAYNAME": "FAN 1",
                "graphType": "node",
                "policyName": "FAN 1",
                "active": "true",
                "thresholdStatus": "Not Enabled",
                "isMultiple": "false",
                "sSave": "true",
                "pollingStatus": "0",
                "lastCollectedTime": "12 Nov 2024 02:44:30 PM CET",
                "groupName": "default",
                "DisplayColumn": "",
                "name": "FAN 1",
                "numericType": "2",
                "interval": "15",
                "Id": "80000000786"
            },
            {
                "YAXISTEXT": "",
                "checkNumeric": "false",
                "data": [
                    {
                        "instance": "-1",
                        "value": "No temperature information available."
                    }
                ],
                "Instance": "",
                "suppressionInterval": "",
                "THRESHOLDENABLED": "false",
                "GRAPHID": "80000000011",
                "type": "node",
                "thresholdImg": "images/thresholdNonConfigured.gif",
                "pollId": "80000000788",
                "isMonitorSuppressed": "false",
                "Protocol": "SNMP",
                "DISPLAYNAME": "Power2 AC",
                "graphType": "node",
                "policyName": "Power2 AC",
                "active": "true",
                "thresholdStatus": "Not Enabled",
                "isMultiple": "false",
                "sSave": "true",
                "pollingStatus": "0",
                "lastCollectedTime": "12 Nov 2024 02:44:30 PM CET",
                "groupName": "default",
                "DisplayColumn": "",
                "name": "Power2 AC",
                "numericType": "2",
                "interval": "15",
                "Id": "80000000788"
            },
            {
                "YAXISTEXT": "",
                "checkNumeric": "false",
                "data": [
                    {
                        "instance": "-1",
                        "value": "0% - Discovery capacity usage is OK."
                    }
                ],
                "Instance": "",
                "suppressionInterval": "",
                "THRESHOLDENABLED": "false",
                "GRAPHID": "80000000013",
                "type": "node",
                "thresholdImg": "images/thresholdNonConfigured.gif",
                "pollId": "80000000792",
                "isMonitorSuppressed": "false",
                "Protocol": "SNMP",
                "DISPLAYNAME": "System swap space usage",
                "graphType": "node",
                "policyName": "System swap space usage",
                "active": "true",
                "thresholdStatus": "Not Enabled",
                "isMultiple": "false",
                "sSave": "true",
                "pollingStatus": "0",
                "lastCollectedTime": "12 Nov 2024 02:44:30 PM CET",
                "groupName": "default",
                "DisplayColumn": "",
                "name": "System swap space usage",
                "numericType": "2",
                "interval": "15",
                "Id": "80000000792"
            },
            {
                "YAXISTEXT": "Percentage",
                "checkNumeric": "true",
                "data": [
                    {
                        "instance": "-1",
                        "value": 12
                    }
                ],
                "Instance": "",
                "suppressionInterval": "",
                "THRESHOLDENABLED": "true",
                "GRAPHID": "4652",
                "type": "node",
                "thresholdImg": "images/thresholdConOK.gif",
                "pollId": "80000000064",
                "isMonitorSuppressed": "false",
                "Protocol": "SNMP",
                "DISPLAYNAME": "CPU Utilization",
                "graphType": "node",
                "policyName": "IBCPUUtilization",
                "active": "true",
                "thresholdStatus": "Normal",
                "isMultiple": "false",
                "sSave": "true",
                "pollingStatus": "0",
                "lastCollectedTime": "12 Nov 2024 02:53:29 PM CET",
                "groupName": "default",
                "DisplayColumn": "",
                "name": "IBCPUUtilization",
                "numericType": "1",
                "interval": "5",
                "Id": "80000000064"
            },
            {
                "YAXISTEXT": "",
                "checkNumeric": "false",
                "data": [
                    {
                        "instance": "-1",
                        "value": "CPU_TEMP: +24.00 C"
                    }
                ],
                "Instance": "",
                "suppressionInterval": "",
                "THRESHOLDENABLED": "false",
                "GRAPHID": "80000000010",
                "type": "node",
                "thresholdImg": "images/thresholdNonConfigured.gif",
                "pollId": "80000000789",
                "isMonitorSuppressed": "false",
                "Protocol": "SNMP",
                "DISPLAYNAME": "Power1 AC",
                "graphType": "node",
                "policyName": "Power1 AC",
                "active": "true",
                "thresholdStatus": "Not Enabled",
                "isMultiple": "false",
                "sSave": "true",
                "pollingStatus": "0",
                "lastCollectedTime": "12 Nov 2024 02:44:30 PM CET",
                "groupName": "default",
                "DisplayColumn": "",
                "name": "Power1 AC",
                "numericType": "2",
                "interval": "15",
                "Id": "80000000789"
            }
        ]
    },
    "deviceProtocol": "SNMP",
    "serverMonitors": {
        "total": 0,
        "down": 0,
        "monitors": []
    },
    "urlMonitors": {
        "total": 0,
        "statusIcon": "images/servicestatus5.gif",
        "down": 0,
        "monitors": []
    },
    "processMonitors": {
        "total": 1,
        "statusIcon": "images/servicestatus5.gif",
        "down": 0,
        "monitors": [
            {
                "statusStr": "Clear",
                "suppressionInterval": "",
                "statusIcon": "/webclient/devices/images/servicestatus5.gif",
                "pcpu": "0.0",
                "trimName": "restart_execd",
                "statusNum": "5",
                "pmem": "0.09",
                "path": "/infoblox/one/bin/restart_execd",
                "abspmem": "28 M",
                "cmdLineArgs": "",
                "name": "restart_execd",
                "state": "1",
                "id": "80000003021",
                "isMonitorSuppressed": "false",
                "numofinstances": "1",
                "proName": "restart_execd",
                "status": "5"
            }
        ]
    },
    "showPollingStatusColumn": true,
    "isDCMEnabled": true,
    "scriptMonitors": {
        "total": 0,
        "statusIcon": "images/servicestatus5.gif",
        "down": 0,
        "monitors": []
    }
}
```


# Interface nicht ausgelastet (lo-lo)

https://opmanager.itsm.love:8061/api/json/device/listInterfaces?isFluidic=true&rows=100&page=1&sortByColumn=displayName&sortByType=asc&apiKey=4b7dde2f9897cb9b896e2433de508940

```
{
  "total": "1",
  "records": "3",
  "page": "1",
  "rows": [
    {
      "interfaceDisplayName": "ether1-ether1",
      "statusStr": "Clear",
      "displayName": "172.16.165.205",
      "ipAddress": "172.16.165.205",
      "outSpeed": "0 bps",
      "inSpeed": "0 bps",
      "type": "Ethernet",
      "deviceName": "172.16.165.205",
      "interfaceStatus": 5,
      "outTraffic": "3.371 K (0.0%)",
      "statusNum": 5,
      "inTraffic": "2.489 K (0.0%)",
      "adminStatus": "Up",
      "operStatus": "Up",
      "id": "1",
      "interfaceName": "IF-172.16.165.205-316"
    },
    {
      "interfaceDisplayName": "eth0-eth0",
      "statusStr": "Clear",
      "displayName": "Opmanager",
      "ipAddress": "172.16.165.204",
      "outSpeed": "0 bps",
      "inSpeed": "0 bps",
      "type": "Ethernet",
      "deviceName": "opmanager.itsm.love",
      "interfaceStatus": 5,
      "outTraffic": "21.119 K (0.0%)",
      "statusNum": 5,
      "inTraffic": "2.56 K (0.0%)",
      "adminStatus": "Up",
      "operStatus": "Up",
      "id": "2",
      "interfaceName": "IF-opmanager.itsm.love-320"
    },
    {
      "interfaceDisplayName": "lo-lo",
      "statusStr": "Clear",
      "displayName": "Opmanager",
      "ipAddress": "",
      "outSpeed": "10 Mbps",
      "inSpeed": "10 Mbps",
      "type": "Software Loopback",
      "deviceName": "opmanager.itsm.love",
      "interfaceStatus": 5,
      "outTraffic": "12.784 K (0.13%)",
      "statusNum": 5,
      "inTraffic": "12.784 K (0.13%)",
      "adminStatus": "Up",
      "operStatus": "Up",
      "id": "3",
      "interfaceName": "IF-opmanager.itsm.love-319"
    }
  ]
}
```

# Interface ausgelastet (lo-lo)

```
{
    "total": "1",
    "records": "3",
    "page": "1",
    "rows": [
      {
        "interfaceDisplayName": "ether1-ether1",
        "statusStr": "Clear",
        "displayName": "172.16.165.205",
        "ipAddress": "172.16.165.205",
        "outSpeed": "0 bps",
        "inSpeed": "0 bps",
        "type": "Ethernet",
        "deviceName": "172.16.165.205",
        "interfaceStatus": 5,
        "outTraffic": "3.379 K (0.0%)",
        "statusNum": 5,
        "inTraffic": "2.503 K (0.0%)",
        "adminStatus": "Up",
        "operStatus": "Up",
        "id": "1",
        "interfaceName": "IF-172.16.165.205-316"
      },
      {
        "interfaceDisplayName": "eth0-eth0",
        "statusStr": "Clear",
        "displayName": "Opmanager",
        "ipAddress": "172.16.165.204",
        "outSpeed": "0 bps",
        "inSpeed": "0 bps",
        "type": "Ethernet",
        "deviceName": "opmanager.itsm.love",
        "interfaceStatus": 5,
        "outTraffic": "557.857 K (0.0%)",
        "statusNum": 5,
        "inTraffic": "31.767 K (0.0%)",
        "adminStatus": "Up",
        "operStatus": "Up",
        "id": "2",
        "interfaceName": "IF-opmanager.itsm.love-320"
      },
      {
        "interfaceDisplayName": "lo-lo",
        "statusStr": "Clear",
        "displayName": "Opmanager",
        "ipAddress": "",
        "outSpeed": "10 Mbps",
        "inSpeed": "10 Mbps",
        "type": "Software Loopback",
        "deviceName": "opmanager.itsm.love",
        "interfaceStatus": 5,
        "outTraffic": "5.632 M (56.32%)",
        "statusNum": 5,
        "inTraffic": "5.632 M (56.32%)",
        "adminStatus": "Up",
        "operStatus": "Up",
        "id": "3",
        "interfaceName": "IF-opmanager.itsm.love-319"
      }
    ]
  }
```


# Get all Alerts

https://opmanager.itsm.love:8061/api/json/alarm/listAlarms?apiKey=4b7dde2f9897cb9b896e2433de508940&isFluidic=true&isWebclient=true&sortByCategory=true&rows=500&page=1&sortByColumn=modTime&sortByType=asc

Update 10.12.2024:
With OpManager Version "12.8.270" the parameter "&sortByCategory=true" got removed

```
{
  "categoryVsCount": [
    {
      "category": "Server",
      "title": "Server",
      "value": 7
    }
  ],
  "total": 1,
  "alarmPresent": true,
  "Details": {
    "Critical": [
      {
        "label": "Server",
        "value": 7,
        "status": "Server"
      }
    ]
  },
  "pageLength": 100,
  "records": 7,
  "Acknowledge": "1",
  "Unacknowledge": "6",
  "page": "1",
  "rows": [
    {
      "statusStr": "Critical",
      "prettyTime": "7 days ago",
      "displayName": "172.16.166.46",
      "ipAddress": "172.16.166.46", // removed with OpManager "12.8.270"
      "technician": "admin",
      "message": "Device Down: No response from device for last 5 polls",
      "deviceName": "172.16.166.46",
      "statusNum": 1,
      "modTime": "17 Nov 2023 01:31:02 PM CET",
      "alarmId": 1,
      "eventtype": "Device Down",
      "category": "Server",
      "entity": "172.16.166.46_Poll",
      "who": "admin"
    },
    {
      "statusStr": "Critical",
      "prettyTime": "7 days ago",
      "displayName": "172.16.166.17",
      "ipAddress": "172.16.166.17",
      "technician": "UnAssigned",
      "message": "Device Down: No response from device for last 5 polls",
      "deviceName": "172.16.166.17",
      "statusNum": 1,
      "modTime": "17 Nov 2023 01:31:02 PM CET",
      "alarmId": 2,
      "eventtype": "Device Down",
      "category": "Server",
      "entity": "172.16.166.17_Poll",
      "who": "Unacknowledge"
    },
    {
      "statusStr": "Critical",
      "prettyTime": "7 days ago",
      "displayName": "172.16.166.5",
      "ipAddress": "172.16.166.5",
      "technician": "UnAssigned",
      "message": "Device Down: No response from device for last 5 polls",
      "deviceName": "172.16.166.5",
      "statusNum": 1,
      "modTime": "17 Nov 2023 01:31:02 PM CET",
      "alarmId": 3,
      "eventtype": "Device Down",
      "category": "Server",
      "entity": "172.16.166.5_Poll",
      "who": "Unacknowledge"
    },
    {
      "statusStr": "Critical",
      "prettyTime": "7 days ago",
      "displayName": "172.16.166.15",
      "ipAddress": "172.16.166.15",
      "technician": "UnAssigned",
      "message": "Device Down: No response from device for last 5 polls",
      "deviceName": "172.16.166.15",
      "statusNum": 1,
      "modTime": "17 Nov 2023 01:31:02 PM CET",
      "alarmId": 5,
      "eventtype": "Device Down",
      "category": "Server",
      "entity": "172.16.166.15_Poll",
      "who": "Unacknowledge"
    },
    {
      "statusStr": "Critical",
      "prettyTime": "7 days ago",
      "displayName": "172.16.166.16",
      "ipAddress": "172.16.166.16",
      "technician": "UnAssigned",
      "message": "Device Down: No response from device for last 5 polls",
      "deviceName": "172.16.166.16",
      "statusNum": 1,
      "modTime": "17 Nov 2023 01:31:02 PM CET",
      "alarmId": 4,
      "eventtype": "Device Down",
      "category": "Server",
      "entity": "172.16.166.16_Poll",
      "who": "Unacknowledge"
    },
    {
      "statusStr": "Critical",
      "prettyTime": "2 minutes ago",
      "displayName": "Opmanager",
      "ipAddress": "127.0.1.1",
      "technician": "UnAssigned",
      "message": "Disk I/O reads for .11 is 1269 IO Reads, threshold value for this monitor is 250 IO Reads",
      "deviceName": "opmanager.itsm.love",
      "statusNum": 1,
      "modTime": "24 Nov 2023 04:19:54 PM CET",
      "alarmId": 16,
      "eventtype": "Threshold Down",
      "category": "Server",
      "entity": "79_.11",
      "who": "Unacknowledge"
    },
    {
      "statusStr": "Critical",
      "prettyTime": "2 minutes ago",
      "displayName": "Opmanager",
      "ipAddress": "127.0.1.1",
      "technician": "UnAssigned",
      "message": "Disk I/O reads for .10 is 1269 IO Reads, threshold value for this monitor is 250 IO Reads",
      "deviceName": "opmanager.itsm.love",
      "statusNum": 1,
      "modTime": "24 Nov 2023 04:19:54 PM CET",
      "alarmId": 17,
      "eventtype": "Threshold Down",
      "category": "Server",
      "entity": "79_.10",
      "who": "Unacknowledge"
    }
  ],
  "notificationEnabled": false
}
```

# Get All Probes

https://is-opmanager.mn-man.biz/api/json/enterprise/listProbes?apiKey=asdasdasdassdasdasdasd

```
[
  {
    "DISPLAYNAME": "IS_MERAKI",
    "STATUS": true,
    "PROBEID": "40000000001",
    "ISWINDOWS": false,
    "IPADDRESS": "10.206.162.115",
    "SITEID": "303",
    "NAME": "MERAKI_PROBE"
  },
  {
    "DISPLAYNAME": "IS_DDI",
    "STATUS": true,
    "PROBEID": "80000000001",
    "ISWINDOWS": false,
    "IPADDRESS": "10.206.162.51",
    "SITEID": "903",
    "NAME": "OPMDDI"
  },
  {
    "DISPLAYNAME": "IS_INDIA",
    "STATUS": true,
    "PROBEID": "30000000001",
    "ISWINDOWS": false,
    "IPADDRESS": "10.206.163.38",
    "SITEID": "302",
    "NAME": "NCM_INDIA"
  },
  {
    "DISPLAYNAME": "IS_OPUTILS_DHCP",
    "STATUS": true,
    "PROBEID": "10000000001",
    "ISWINDOWS": true,
    "IPADDRESS": "10.206.163.43",
    "SITEID": "1",
    "NAME": "AD DHCP"
  },
  {
    "DISPLAYNAME": "IS_LAB",
    "STATUS": true,
    "PROBEID": "90000000001",
    "ISWINDOWS": false,
    "IPADDRESS": "10.132.149.34",
    "SITEID": "1201",
    "NAME": "IS_LAB"
  },
  {
    "DISPLAYNAME": "IS_OPUTILS",
    "STATUS": true,
    "PROBEID": "60000000001",
    "ISWINDOWS": false,
    "IPADDRESS": "10.206.163.40",
    "SITEID": "901",
    "NAME": "OPutilsSPM"
  },
  {
    "DISPLAYNAME": "IS_ACI",
    "STATUS": true,
    "PROBEID": "70000000001",
    "ISWINDOWS": false,
    "IPADDRESS": "10.206.163.42",
    "SITEID": "902",
    "NAME": "OPMACI"
  },
  {
    "DISPLAYNAME": "IS_SECURITY",
    "STATUS": true,
    "PROBEID": "50000000001",
    "ISWINDOWS": false,
    "IPADDRESS": "10.206.162.89",
    "SITEID": "601",
    "NAME": "FIOB_SEC"
  },
  {
    "DISPLAYNAME": "IS_LOADBALANCE",
    "STATUS": true,
    "PROBEID": "20000000001",
    "ISWINDOWS": false,
    "IPADDRESS": "10.206.162.134",
    "SITEID": "301",
    "NAME": "NCM_LB"
  }
]
```